/* Hero section */

#hero {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;
    
    min-height: 100dvh;
    overflow: clip;
    position: relative;
    isolation: isolate;
}
#hero::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to right,
        hsla(225, 21%, 7%, 0.95),
        hsla(225, 21%, 7%, 0.65)
    );

    z-index: -1;
}
#hero picture.back-gr {
    position: absolute;
    inset: 0;
    z-index: -1;
}
#hero picture.back-gr img {
    min-width: 100%;
    min-height: 100%;
}

#hero .hero-inner {
    padding-block: 15rem 7.5rem;

    display: grid;
    gap: 5rem;
}

#hero .hero-inner h1 {
    max-width: 18ch;

    font-size: 7.2rem;
    line-height: 1.25;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
    margin-bottom: 1.5rem;
}

#hero .hero-inner p {
    max-width: 80ch;

    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--font-col-400);

    text-align: justify;
}

#hero .hero-inner ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(22.5rem, 100%), 1fr));
    gap: 2rem;
}

#hero .hero-inner ul li strong {
    display: block;
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#hero .hero-inner ul li small {
    font-size: 1.4rem;
    color: var(--font-col-300);
}

#hero .hero-inner .buttons {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}

/* FROM PORT TO WAREHOUSE */
#approach .cards-grid {
    padding: 2.4rem;
    background-color: var(--main-col2);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}
#approach .cards-grid h3 {
    font-size: 2.4rem;
    font-weight: 500;
    font-style: italic;
    line-height: 1.35;
    color: var(--font-col-600);

    margin-bottom: 2.4rem;
}

#approach .cards-grid ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(26rem, 1fr));
    gap: 1.6rem;
}

#approach .cards-grid ul li {
    padding: 2.4rem;

    display: grid;
    gap: 1.6rem;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 6px;
}

#approach .cards-grid ul li h4 {
    font-size: 1.4rem;
    font-weight: 500;
    font-style: italic;
    line-height: 1.25;
    color: var(--font-col-600);
}
#approach .cards-grid ul li span {
    font-size: 1.2rem;
    line-height: 1.65;
    color: var(--font-col-300);
    text-align: justify;
    hyphens: auto;
}


/* HOW WE KEEP YOUR FREIGHT */

#steps {
    padding-block: 8rem;

    display: grid;
    gap: 6.5rem;

    background-color: var(--main-col2);
}
#steps p {
    margin-inline: auto;
    max-width: min(90rem, 95%);

    font-size: 1.8rem;
    line-height: 1.65;
    color: var(--font-col-400);
    text-align: center;
}
#steps ul {
    list-style: none;

    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2.4rem;
}
#steps ul li {
    width: 100%;
    min-width: 25rem;
    max-width: 30rem;

    padding: 2.4rem;

    display: flex;
    flex-direction: column;
    gap: 2rem;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}
#steps ul li .strong-ico {
    margin-inline: auto;
    width: 5.6rem;

    & svg {
        --d: 28px;
    }
}
#steps ul li h4 {
    flex: 1;
    font-size: 2.1rem;
    font-style: italic;
    color: var(--font-col-600);
    text-wrap: balance;
    text-align: center;
}
#steps ul li span {
    font-size: 1.4rem;
    color: var(--font-col-300);
    text-align: justify;
    hyphens: auto;
}


/* Safety */
#safety ul {
    list-style: none;
    display: grid;
    gap: 1.2rem;
}
#safety ul li {
    display: flex;
    align-items: center;
    gap: 1.2rem;
}
#safety ul li svg {
    color: var(--yellow);
}
#safety ul li span {
    font-size: 1.6rem;
    color: var(--font-col-300);
    text-wrap: balance;
}


/* Drayage Options */
#drayage-options {
    padding-block: 8rem;
    background-color: var(--main-col2);
}
#drayage-options .-main-box {
    display: grid;
    gap: 6.5rem;
}
#drayage-options p {
    margin-inline: auto;
    max-width: 82rem;

    font-size: 1.8rem;
    line-height: 1.55;
    color: var(--font-col-400);
    text-align: center;
    text-wrap: balance;
}
#drayage-options ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(38rem, 1fr));
    gap: 3.2rem;
}
#drayage-options ul li {
    padding: 1.6rem;
    min-height: 33.5rem;

    display: grid;
    align-content: end;
    gap: 1.6rem;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;

    transition: box-shadow 0.25s;

    position: relative;
    isolation: isolate;
    overflow: hidden;

    cursor: default;
}
#drayage-options ul li:is(:hover, :focus-within) {
    box-shadow: 0 0 4px 1px var(--yellow);
}

#drayage-options ul li picture {    
    position: absolute;
    inset: 0;

    display: flex;
    align-items: center;
    justify-content: center;

    z-index: -2;
}
#drayage-options ul li picture img {
    height: 100%;
    scale: 1.2;
}
#drayage-options ul li::after {
    content: "";
    background: linear-gradient(
        to bottom,
        transparent,
        #090a0eed 65%
    );
    position: absolute;
    inset: 0;
    z-index: -1;
}

#drayage-options ul li h3 {
    font-size: 2rem;
    font-style: italic;
    color: var(--font-col-600);
}
#drayage-options ul li p {
    font-size: 1.6rem;
    text-align: left;
    color: var(--font-col-300);
}


/* Goals */

#steps.goals {
    background-color: var(--main-col1);
}
#steps.goals ul li {
    background-color: var(--main-col2);
}
#steps.goals ul li span {
    text-align: center;
}
#steps.goals .card-block span {
    font-size: 1.7rem;
    line-height: 1.65;
    color: var(--font-col-400);
}


/* SUSTAINABLE LOGISTICS */
.big-card {
    padding: 4rem;

    width: 100%;
    aspect-ratio: 1 / 0.6;

    display: grid;
    place-content: center;
    place-items: center;
    gap: 1.6rem;

    background-color: var(--main-col1);
    background: linear-gradient(
        135deg,
        var(--main-col2),
        var(--main-col1),
        var(--main-col2)
    );

    box-shadow: 4px 2px 5px 0 var(--yellow);

    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}
.big-card svg {
    width: 12.8rem;
    height: 12.8rem;
    color: var(--yellow);

    margin-bottom: 1rem;
}
.big-card h3 {
    font-size: 2.4rem;
    font-style: italic;
    text-transform: capitalize;
    color: var(--font-col-600);
}
.big-card p {
    font-size: 1.8rem;
    line-height: 1.56;
    color: var(--font-col-300);
    text-wrap: pretty;
    text-align: center;
}

/* Support */

#support picture img {
    width: 125%;
}

/* CTA */

#cta {
    padding-block: 8rem;
    background-color: var(--main-col2);
}
#cta .-main-box {
    display: grid;
    justify-items: center;
    gap: 4rem;
}
#cta h2 {
    font-size: 4.8rem;
}
#cta p {
    max-width: 65ch;

    font-size: 2rem;
    line-height: 1.625;
    color: var(--font-col-600);
    text-align: center;
}
#cta .buttons {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1.2rem;
}
#cta ul {
    list-style: none;
    width: 100%;

    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 2.4rem;
}
#cta ul li {
    width: min(20.5rem, 100%);
    padding: 2.4rem 3.6rem;

    display: grid;
    place-items: center;
    gap: 1.2rem;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 6px;
}

#cta ul li strong {
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#cta ul li span {
    font-size: 1.4rem;
    color: var(--font-col-300);
    text-transform: uppercase;
}